For the complete documentation index, see llms.txt. This page is also available as Markdown.

List import files

List import files. Use query parameter to narrow list

Required permissions: IMPORT

get
/tenants/{tenantUid}/imports/files
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
importTemplateUidsstring[]Optional

Reference to a Import Template.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
importFileStatestring · enum · min: 1Optional
ENUMDescription
NOT_STARTEDImport not started
IMPORT_IN_PROGRESSImport is running
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
VALIDATE_IN_PROGRESSValidate is running
COMPLETE_NOTHING_TO_IMPORTImport is done, but there where nothing to import
COMPLETEImport complete
VALIDATE_FAILEDValidate failed
IMPORT_FAILEDImport failed
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
READY_TO_IMPORTValidation OK, import is ready
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/imports/files
GET /v2/tenants/{tenantUid}/imports/files HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "importFileUid": "text",
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "state": "NOT_STARTED",
      "filename": "text",
      "columnCount": 1,
      "rowCount": 1,
      "progressCount": 1,
      "errorCount": 1,
      "ignoredCount": 1,
      "estimatedRemainingTime": 1,
      "estimatedRemainingTimeText": "text",
      "totalTime": 1,
      "operation": "INSERT",
      "errorMessage": "text",
      "template": {
        "templateUid": "text",
        "name": "text",
        "description": "text",
        "createdBy": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "lastModifiedBy": "text",
        "lastModifiedAt": "2026-01-01T00:00:00.000Z",
        "layouts": [
          {
            "layoutUid": "text",
            "createdBy": "text",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "lastModifiedBy": "text",
            "lastModifiedAt": "2026-01-01T00:00:00.000Z",
            "conversions": [
              {
                "conversionUid": "text",
                "createdAt": "2026-01-01T00:00:00.000Z",
                "createdBy": "text",
                "lastModifiedAt": "2026-01-01T00:00:00.000Z",
                "lastModifiedBy": "text",
                "fromValue": "text",
                "toValue": "text"
              }
            ],
            "fieldName": "text",
            "value": "text"
          }
        ],
        "entity": "PRODUCTS",
        "importFormat": "EXCEL",
        "fields": [
          {
            "name": "text",
            "type": "text",
            "allowedValues": [
              "text"
            ],
            "createUsage": {
              "usage": "REQUIRED",
              "requiredExchangeableWith": [
                "text"
              ]
            },
            "updateUsage": {
              "usage": "REQUIRED",
              "requiredExchangeableWith": [
                "text"
              ]
            }
          }
        ]
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?